ServerEvents.recipes(event => {
	event.remove({
		output: 'shrink:shrinking_device'
	});
	event.shaped('shrink:shrinking_device', [
		'AZA',
		'ATA',
		'IBI'
	], {
		Z: 'railways:remote_lens',
		A: '#c:plates/brass',
		T: 'powergrid:portable_battery',
		B: 'quark:gold_button',
		I: 'powergrid:integrated_circuit'
	});





	event.remove({
		output: 'buildinggadgets2:template_manager'
	});
	event.shaped('buildinggadgets2:template_manager', [
		'L B',
		'ISI',
		'IBI'
	], {
		B: '#c:plates/brass',
		I: '#c:plates/iron',
		L: 'powergrid:lv_light_bulb',
		B: 'powergrid:potato_battery',
		S: 'create:schematic_and_quill'
	});
	event.remove({
		output: 'buildinggadgets2:gadget_exchanging'
	});
	event.recipes.createMechanicalCrafting('buildinggadgets2:gadget_exchanging', [
		'B P',
		'IWD',
		' TG',
		' Y ',
	], {
		B: '#c:plates/brass',
		I: '#c:plates/iron',
		D: 'minecraft:diamond',
		P: 'ends_delight:ender_pearl_grain',
		W: 'create:wand_of_symmetry',
		T: 'ccterminals:terminal_normal',
		G: 'powergrid:electrical_gizmo',
		Y: 'powergrid:portable_battery'
	});
	event.remove({
		output: 'buildinggadgets2:gadget_building'
	});
	event.recipes.createMechanicalCrafting('buildinggadgets2:gadget_building', [
		'PPP',
		'DWD',
		'GTG',
		' Y ',
	], {
		D: 'minecraft:diamond',
		P: 'ends_delight:ender_pearl_grain',
		W: 'create:wand_of_symmetry',
		T: 'ccterminals:terminal_normal',
		G: 'powergrid:electrical_gizmo',
		Y: 'powergrid:portable_battery'
	});
	event.remove({
		output: 'buildinggadgets2:gadget_cut_paste'
	});
	event.recipes.createMechanicalCrafting('buildinggadgets2:gadget_cut_paste', [
		'PPP',
		'IBI',
		'GTG',
		' Y ',
	], {
		B: '#c:plates/brass',
		I: '#c:plates/iron',
		P: 'ends_delight:ender_pearl_grain',
		T: 'ccterminals:terminal_normal',
		G: 'powergrid:integrated_circuit',
		Y: 'powergrid:portable_battery'
	});
	event.remove({
		output: 'buildinggadgets2:gadget_destruction'
	});
	event.recipes.createMechanicalCrafting('buildinggadgets2:gadget_destruction', [
		'PPP',
		'IBI',
		'GTG',
		' Y ',
	], {
		B: 'minecraft:gunpowder',
		I: '#c:plates/iron',
		P: 'ends_delight:ender_pearl_grain',
		T: 'ccterminals:terminal_normal',
		G: 'powergrid:integrated_circuit',
		Y: 'powergrid:portable_battery'
	});
	event.remove({
		output: 'buildinggadgets2:gadget_copy_paste'
	});
	event.recipes.createMechanicalCrafting('buildinggadgets2:gadget_copy_paste', [
		'PPP',
		'BWB',
		'GTG',
		' Y ',
	], {
		P: 'ends_delight:ender_pearl_grain',
		W: 'create:wand_of_symmetry',
		B: '#c:plates/brass',
		T: 'ccterminals:terminal_normal',
		G: 'powergrid:electrical_gizmo',
		Y: 'powergrid:portable_battery'
	});




	event.remove({
		output: 'create_aeronautics_toolgun:magnetic_gun'
	});
	event.recipes.createMechanicalCrafting('create_aeronautics_toolgun:magnetic_gun', [
		'I I',
		'CEC',
		'MGM',
		'PIP'
	], {
		I: '#c:plates/iron',
		G: 'powergrid:electrical_gizmo',
		C: 'powergrid:copper_coil',
		E: 'create:electron_tube',
		M: 'powergrid:magnet',
		P: 'create:precision_mechanism'
	});

	event.remove({
		output: 'create_aeronautics_toolgun:survival_structure_tool'
	});
	event.recipes.createMechanicalCrafting('create_aeronautics_toolgun:survival_structure_tool', [
		'I I',
		'BEB',
		'CBC',
		'GTG'
	], {
		I: '#c:plates/iron',
		G: 'powergrid:electrical_gizmo',
		C: 'powergrid:carbon_pile_coil',
		E: 'minecraft:ender_eye',
		B: 'powergrid:transformer_core',
		T: 'create_aeronautics_toolgun:magnetic_gun'
	});




	event.remove({
		output: 'minecraft:crafter'
	});
	event.recipes.createMechanicalCrafting('minecraft:crafter', [
		' CCC ',
		'RCCCR',
		' CCC ',
		'  D  ',
	], {
		C: 'create:mechanical_crafter',
		R: 'morered:red_alloy_ingot',
		D: 'minecraft:dropper'
	});
	event.remove({
		output: 'minecraft:piston'
	});
	event.shaped('minecraft:piston', [
		'PMP',
		'ICI',
		'SRS'
	], {
		I: '#c:plates/iron',
		R: 'morered:red_alloy_ingot',
		M: 'powergrid:magnet',
		C: 'powergrid:copper_coil',
		S: '#c:stones',
		P: '#minecraft:planks'
	});
	event.remove({
		output: 'minecraft:dropper'
	});
	event.shaped('minecraft:dropper', [
		'SCS',
		'SVS',
		'SRS'
	], {
		R: 'morered:red_alloy_ingot',
		C: 'powergrid:copper_coil',
		V: 'create:item_vault',
		S: '#c:stones'
	});
	event.remove({
		output: 'minecraft:dispenser'
	});
	event.shaped('minecraft:dispenser', [
		'SMS',
		'CVC',
		'SRS'
	], {
		R: 'morered:red_alloy_ingot',
		C: 'powergrid:copper_coil',
		V: 'create:item_vault',
		M: 'powergrid:magnet',
		S: '#c:stones'
	});
});


